Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005262TestLinkUsers and Rightspublic2012-10-02 15:272013-07-29 12:08
Reporteradrian.fita 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSCentOSOS Version5.4
Product Version1.9.4 (2012 Q3 - bug fixing) 
Fixed in Version 
Summary0005262: Default admin's password can not be changed because user doesn't have an email address
DescriptionHi. I just installed Testlink 1.9.4 and I noticed that I can't change the default admin's user password because the user doesn't have an email address.

After I filled-in an email address in My Settings->Personal Data->Email, the password could be changed.
Steps To Reproduce1. Fresh install testlink 1.9.4
2. Connect with the default admin user and password
3. Go to My Settings, fill in a new password for the user admin and click "Change password"
4. Testlink says "Your password was changed succesfully"
5. Disconnect and try to connect with admin / new_password -> no success. The old password is still valid
Additional InformationI think Testlink should display an error when a user tries to change the password and he has no Email address completed (especially so after seeing that you can't register a new user if you don't fill-in an email address).
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFirefox 15/Chrome 22.0.1229.79
PHP Version5.2.11
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0005731closedfman Availables hot-fixes for 1.9.7 & How To get full fixed package from gitorious 

-  Notes
(0019309)
dtonhofer (reporter)
2013-07-22 12:53

Still faulty in 1.9.7
(0019312)
fman (administrator)
2013-07-22 20:23

please get fix , apply, retest and provide feedback
http://gitorious.org/testlink-ga/testlink-code/commit/cf2ad02028b10edae40300443ed9e2ba9c8ce905 [^]
(0019320)
dtonhofer (reporter)
2013-07-23 13:11

Thanks,

Tried with applying the patch to 1.9.7 only but that just gives weird errors on database access and I cannot log in as admin at all.

Do I need to pull the whole 1.9.8?
(0019321)
fman (administrator)
2013-07-23 13:37

1. weird errors unfortunatelly means nothing
2. if you follow the link to gitorious you are going to get exact lines than IMHO have to be changed on 1.9.7 to make things work.

- Issue History
Date Modified Username Field Change
2012-10-02 15:27 adrian.fita New Issue
2012-10-02 17:58 fman Assigned To => fman
2012-10-02 17:58 fman Status new => assigned
2013-07-22 12:53 dtonhofer Note Added: 0019309
2013-07-22 20:23 fman Note Added: 0019312
2013-07-22 20:24 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-07-22 20:24 fman Status assigned => feedback
2013-07-22 20:24 fman Relationship added child of 0005731
2013-07-23 13:11 dtonhofer Note Added: 0019320
2013-07-23 13:37 fman Note Added: 0019321
2013-07-29 12:08 fman Status feedback => closed
2013-07-29 12:08 fman Resolution open => fixed



Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker